package F5::CommonUpgrade::RepeatedAuthorizationHeader;

use base 'F5::CommonUpgrade::Base';

our $max_version = '16.0.0';

our $tables_handled = [ qw(
                           PLC.PL_HEADERS
                           )
                     ];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    if (lc($row->{header_name}) eq 'authorization') {
       $row->{flg_allow_repeated} = $row->{flg_allow_repeated} || 0;
    }
}

#----------------------------------------------------------------------

1;

