package F5::CommonUpgrade::SectionsInheritanceStatus;

use base 'F5::CommonUpgrade::Base';

our $min_version = '14.0.0';
our $tables_handled = [ qw(PLC.PL_SECTIONS) ];

sub row_fixup {
    my ($self, %params) = @_;

    my $row = $params{row};
    if ($row->{parent_inheritance_status} == F5::ASMConfig::SectionParentInheritanceStatus::SECTION_PARENT_INHERITANCE_STATUS_NONE()) {
         $row->{child_inheritance_status} = F5::ASMConfig::SectionChildInheritanceStatus::SECTION_CHILD_INHERITANCE_STATUS_NA();
    }
}

1;

